import 'package:design_system/design_system.dart';
import 'package:flutter/material.dart';

/// A widget that displays a section title with a leading icon.
class SectionTitle extends StatelessWidget {

  const SectionTitle({super.key, required this.title, required this.subtitle});
  /// The title of the section.
  final String title;

  /// The subtitle of the section.
  final String subtitle;

  @override
  Widget build(BuildContext context) {
    return Column(
      crossAxisAlignment: CrossAxisAlignment.start,
      children: <Widget>[
        Text(title, style: UiTypography.headline1m),
        Text(subtitle, style: UiTypography.body2r.textSecondary),
      ],
    );
  }
}
